#!/bin/bash

CONFIG_PATH="/etc/soga/soga.conf"
BACKUP_PATH="/etc/soga/soga.conf.bak.$(date +%Y%m%d%H%M%S)"

read -p "请输入 node_id: " node_id

# 备份原配置文件（如果存在）
if [ -f "$CONFIG_PATH" ]; then
  sudo cp "$CONFIG_PATH" "$BACKUP_PATH"
  echo "备份原配置文件到 $BACKUP_PATH"
fi

# 写入新配置文件
sudo tee "$CONFIG_PATH" > /dev/null <<EOF
type=xboard                           # 必填这个(填写)
server_type=vless                     # 必填这个(填写)
node_id=$node_id                              # 填面板添加节点对应的的ID号(填写)
#soga_key=free                              # 授权key，社区版无需填写，最多支持88用户，商业版无限制(不填写)

# webapi 或 db 对接任选一个
api=webapi                             # webapi 或 db，表示 webapi 对接或数据库对接(填写webapi)

# webapi 对接信息
webapi_url=https://www.023021.xyz       # 这里是填对接的面板地址(填写)
webapi_key=michaeltan057720                    # 这里是V2board面板与服务端通讯密钥(填写)

# db 对接信息
db_host=                    # 数据库地址(不填写)
db_port=                           # 数据库端口(不填写)
db_name=                           # 数据库名(不填写)
db_user=                            # 数据库用户名(不填写)
db_password=                     # 数据库密码(不填写)

user_conn_limit=0                      # 限制用户连接数，0代表无限制，v2board 必填！！！ (保持默认)
user_speed_limit=0                     # 用户限速，0代表无限制，单位 Mbps，v2board 必填！！！(保持默认)
check_interval=100                     # 同步前端用户、上报服务器信息等间隔时间（秒），近似值(保持默认)

force_close_ssl=false                  # 设为true可强制关闭tls，即使前端开启tls，soga也不会开启tls，方便用户自行使用nginx、caddy等[>
forbidden_bit_torrent=true             # 设为true可禁用bt下载(保持默认)

default_dns=8.8.8.8,1.1.1.1            # 配置默认dns，可在此配置流媒体解锁的dns，以逗号分隔(保持默认)
EOF

echo "新的配置文件已写入 $CONFIG_PATH"
